{
	"$schema": "https://biomejs.dev/schemas/1.9.4/schema.json",
	"vcs": {
		"enabled": true,
		"clientKind": "git",
		"useIgnoreFile": true
	},
	"files": {
		"ignoreUnknown": true,
		"ignore": ["node_modules"]
	},
	"formatter": {
		"enabled": true,
		"lineWidth": 140,
		"formatWithErrors": true
	},
	"organizeImports": {
		"enabled": true
	},
	"linter": {
		"ignore": ["*.json"],
		"enabled": true,
		"rules": {
			"recommended": true,
			"a11y": {
				"useButtonType": "off",
				"noSvgWithoutTitle": "off"
			},
			"complexity": {
				"noForEach": "off",
				"noUselessTypeConstraint": "warn"
			},
			"correctness": {
				"noUnusedVariables": "error",
				"noUnusedImports": "error",
				"useExhaustiveDependencies": "info"
			},
			"nursery": {
				"noCommonJs": "error",
				"noDuplicateElseIf": "error",
				"noDuplicateProperties": "error",
				"noNestedTernary": "error",
				"useAtIndex": "error",
				"useCollapsedIf": "error",
				"useConsistentCurlyBraces": "error"
			},
			"performance": {
				"noDelete": "off",
				"noAccumulatingSpread": "off"
			},
			"style": {
				"useDefaultSwitchClause": "error",
				"useForOf": "error",
				"useFragmentSyntax": "error",
				"useConsistentArrayType": "error",
				"useShorthandAssign": "error"
			},
			"suspicious": {
				"noConsole": "warn",
				"noEmptyBlockStatements": "error",
				"noEvolvingTypes": "error",
				"noExplicitAny": "warn",
				"noSkippedTests": "warn",
				"useAwait": "error"
			}
		}
	},
	"javascript": {
		"formatter": {
			"quoteStyle": "single",
			"jsxQuoteStyle": "single",
			"bracketSameLine": true
		},
		"linter": {
			"enabled": true
		}
	},
	"json": {
		"parser": {
			"allowComments": true
		}
	},
	"css": {
		"formatter": {
			"enabled": true
		},
		"parser": {
			"cssModules": true
		}
	}
}
